Loading...
Searching...
No Matches
NCVMemNativeAllocator Class Reference

NCVMemNativeAllocator. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for NCVMemNativeAllocator:

## Public Member Functions

| NCVMemNativeAllocator (NCVMemoryType memT, Ncv32u alignment)
virtual | ~NCVMemNativeAllocator ()
virtual NCVStatus | alloc (NCVMemSegment &seg, std::size_t size)
virtual NCVStatus | dealloc (NCVMemSegment &seg)
virtual NcvBool | isInitialized () const
virtual NcvBool | isCounting () const
virtual NCVMemoryType | memType () const
virtual Ncv32u | alignment () const
virtual std::size_t | maxSize () const
Public Member Functions inherited from INCVMemAllocator
virtual | ~INCVMemAllocator ()=default

## Detailed Description

NCVMemNativeAllocator.

Definition at line 458 of file NCV.hpp.

## Constructor & Destructor Documentation

## NCVMemNativeAllocator()

NCVMemNativeAllocator::NCVMemNativeAllocator | ( | NCVMemoryType | memT,
|  | Ncv32u | alignment )

References alignment().

Referenced by maxSize().

## ~NCVMemNativeAllocator()

virtual NCVMemNativeAllocator::~NCVMemNativeAllocator | ( |  | ) |

virtual

## Member Function Documentation

## alignment()

virtual Ncv32u NCVMemNativeAllocator::alignment | ( |  | ) | const

virtual

Implements INCVMemAllocator.

Referenced by NCVMemNativeAllocator().

## alloc()

virtual NCVStatus NCVMemNativeAllocator::alloc | ( | NCVMemSegment & | seg,
|  | std::size_t | size )

virtual

Implements INCVMemAllocator.

## dealloc()

virtual NCVStatus NCVMemNativeAllocator::dealloc | ( | NCVMemSegment & | seg | ) |

virtual

Implements INCVMemAllocator.

## isCounting()

virtual NcvBool NCVMemNativeAllocator::isCounting | ( |  | ) | const

virtual

Implements INCVMemAllocator.

## isInitialized()

virtual NcvBool NCVMemNativeAllocator::isInitialized | ( |  | ) | const

virtual

Implements INCVMemAllocator.

## maxSize()

virtual std::size_t NCVMemNativeAllocator::maxSize | ( |  | ) | const

virtual

Implements INCVMemAllocator.

References NCVMemNativeAllocator().

## memType()

virtual NCVMemoryType NCVMemNativeAllocator::memType | ( |  | ) | const

virtual

Implements INCVMemAllocator.

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp